ACOS(3)

NAME
acos, acosf, acosl - arc cosine function

SYNOPSIS
#include <math.h>

double acos(double x);
float acosf(float x);
long double acosl(long double x);

Link with -lm.

DESCRIPTION
The acos() function calculates the arc cosine of x; that is the value whose cosine is x. If x falls outside the range -1 to 1, acos() fails and errno is set.

RETURN VALUE
The acos() function returns the arc cosine in radians and the value is mathematically defined to be between 0 and PI (inclusive).

ERRORS

EDOM
    x is out of range.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C89, C99. The float and long double variants are C99 requirements.

SEE ALSO
asin(3), atan(3), atan2(3), cacos(3), cos(3), sin(3), tan(3)

COLOPHON
This page is part of release 2.72 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.